<?php

namespace CouponsPlus\App\Coupon\Tree\Factories;

use CouponsPlus\App\Coupon\Abilities\CouponModel;
use CouponsPlus\App\Coupon\Coupon;
use CouponsPlus\App\Coupon\RowsCouponModel;
use CouponsPlus\App\Coupon\Tree\Abilities\CouponModelFactory;

class RowsCouponModelFactory implements CouponModelFactory
{
    public function getModelType(): string
    {
        return RowsCouponModel::TYPE;
    } 

    public function create(Coupon $coupon): CouponModel
    {
        return new RowsCouponModel($coupon);
    } 
}